<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: I2C_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">I2C_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga3a6b1cd30e7ad401b1dff3f181a0a6c4"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a></td></tr>
<tr class="separator:ga3a6b1cd30e7ad401b1dff3f181a0a6c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b528aee5b81928cfa6e84f205ac5e88"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">INTSTS</a></td></tr>
<tr class="separator:ga2b528aee5b81928cfa6e84f205ac5e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45e9c068d3cc966e206bd45c9b04b074"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga45e9c068d3cc966e206bd45c9b04b074">STATUS</a></td></tr>
<tr class="separator:ga45e9c068d3cc966e206bd45c9b04b074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab20c783148e5e679d8da4415cfad85b2"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab20c783148e5e679d8da4415cfad85b2">DIV</a></td></tr>
<tr class="separator:gab20c783148e5e679d8da4415cfad85b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ea7086ff7e567448f6fa0cf63a1391b"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3ea7086ff7e567448f6fa0cf63a1391b">TOUT</a></td></tr>
<tr class="separator:ga3ea7086ff7e567448f6fa0cf63a1391b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab30093acea7930ab2ef7bc15872a1043"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab30093acea7930ab2ef7bc15872a1043">DATA</a></td></tr>
<tr class="separator:gab30093acea7930ab2ef7bc15872a1043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7563fb74bf39715685191219c1917615"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7563fb74bf39715685191219c1917615">SADDR0</a></td></tr>
<tr class="separator:ga7563fb74bf39715685191219c1917615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5aaa84688133cbe054ad75fa00130648"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5aaa84688133cbe054ad75fa00130648">SADDR1</a></td></tr>
<tr class="separator:ga5aaa84688133cbe054ad75fa00130648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab53f85444601fedf71ba84ed308a5ca4"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab53f85444601fedf71ba84ed308a5ca4">RESERVE0</a> [2]</td></tr>
<tr class="separator:gab53f85444601fedf71ba84ed308a5ca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf53d28d3d8ac5a0ab9a92a127a557b2d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf53d28d3d8ac5a0ab9a92a127a557b2d">SAMASK0</a></td></tr>
<tr class="separator:gaf53d28d3d8ac5a0ab9a92a127a557b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a530f5050894501e7bc05d48cdf0dc9"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1a530f5050894501e7bc05d48cdf0dc9">SAMASK1</a></td></tr>
<tr class="separator:ga1a530f5050894501e7bc05d48cdf0dc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae69ae433f5ac470a10bf5f971fb71642"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae69ae433f5ac470a10bf5f971fb71642">RESERVE1</a> [4]</td></tr>
<tr class="separator:gae69ae433f5ac470a10bf5f971fb71642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2dd0ebcfad612a3b1f86f6a70ba0c386"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2dd0ebcfad612a3b1f86f6a70ba0c386">CON2</a></td></tr>
<tr class="separator:ga2dd0ebcfad612a3b1f86f6a70ba0c386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cfcc00c975a3f704c9c006512a218fc"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2cfcc00c975a3f704c9c006512a218fc">STATUS2</a></td></tr>
<tr class="separator:ga2cfcc00c975a3f704c9c006512a218fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup I2C Inter-IC Bus Controller(I2C)
Memory Mapped Structure for I2C Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l04890">4890</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
